## org.apache.batik.swing.svg
Class JSVGComponent.JSVGComponentListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.apache.batik.swing.svg.JSVGComponent.JSVGComponentListener

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.util.EventListener, JGVTComponentListener

Enclosing class:
  JSVGComponent

protected class JSVGComponent.JSVGComponentListener
extends java.awt.event.ComponentAdapter
implements JGVTComponentListener

Field Summary

Fields inherited from interface org.apache.batik.swing.gvt.JGVTComponentListener
`COMPONENT_TRANSFORM_CHANGED`

Constructor Summary
`protected` `JSVGComponent.JSVGComponentListener()`

Method Summary
`void` `componentResized(java.awt.event.ComponentEvent ce)`
`void` `componentTransformChanged(java.awt.event.ComponentEvent event)` Called when the rendering transform changes on the JGVTComponentListener
`void` `updateMatrix(java.awt.geom.AffineTransform at)`

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGComponent.JSVGComponentListener

    protected JSVGComponent.JSVGComponentListener()

Method Detail

### componentResized

    public void componentResized(java.awt.event.ComponentEvent ce)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentTransformChanged

    public void componentTransformChanged(java.awt.event.ComponentEvent event)

  Description copied from interface: `JGVTComponentListener`
  Called when the rendering transform changes on the JGVTComponentListener

  Specified by:
    `componentTransformChanged` in interface `JGVTComponentListener`

### updateMatrix

    public void updateMatrix(java.awt.geom.AffineTransform at)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.